com.amazonaws.services.simpleworkflow.model

## Class ChildWorkflowExecutionStartedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ChildWorkflowExecutionStartedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ChildWorkflowExecutionStartedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ChildWorkflowExecutionStarted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChildWorkflowExecutionStartedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChildWorkflowExecutionStartedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getInitiatedEventId()` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`WorkflowExecution` `getWorkflowExecution()` The child workflow execution that was started.
`WorkflowType` `getWorkflowType()` The type of the child workflow execution.
`int` `hashCode()`
`void` `setInitiatedEventId(Long initiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`void` `setWorkflowExecution(WorkflowExecution workflowExecution)` The child workflow execution that was started.
`void` `setWorkflowType(WorkflowType workflowType)` The type of the child workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ChildWorkflowExecutionStartedEventAttributes` `withInitiatedEventId(Long initiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`ChildWorkflowExecutionStartedEventAttributes` `withWorkflowExecution(WorkflowExecution workflowExecution)` The child workflow execution that was started.
`ChildWorkflowExecutionStartedEventAttributes` `withWorkflowType(WorkflowType workflowType)` The type of the child workflow execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChildWorkflowExecutionStartedEventAttributes

    public ChildWorkflowExecutionStartedEventAttributes()

### Method Detail

#### setWorkflowExecution

    public void setWorkflowExecution(WorkflowExecution workflowExecution)

The child workflow execution that was started.

Parameters:
  `workflowExecution` - The child workflow execution that was started.

#### getWorkflowExecution

    public WorkflowExecution getWorkflowExecution()

The child workflow execution that was started.

Returns:
  The child workflow execution that was started.

#### withWorkflowExecution

    public ChildWorkflowExecutionStartedEventAttributes withWorkflowExecution(WorkflowExecution workflowExecution)

The child workflow execution that was started.

Parameters:
  `workflowExecution` - The child workflow execution that was started.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The type of the child workflow execution.

Parameters:
  `workflowType` - The type of the child workflow execution.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The type of the child workflow execution.

Returns:
  The type of the child workflow execution.

#### withWorkflowType

    public ChildWorkflowExecutionStartedEventAttributes withWorkflowType(WorkflowType workflowType)

The type of the child workflow execution.

Parameters:
  `workflowType` - The type of the child workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInitiatedEventId

    public void setInitiatedEventId(Long initiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getInitiatedEventId

    public Long getInitiatedEventId()

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withInitiatedEventId

    public ChildWorkflowExecutionStartedEventAttributes withInitiatedEventId(Long initiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ChildWorkflowExecutionStartedEventAttributes clone()

Overrides:
  `clone` in class `Object`